summaryrefslogtreecommitdiffstats
path: root/multimedia/tsduck
diff options
context:
space:
mode:
author Andrea Sacchetti Picchio2023-12-24 12:43:47 +0100
committer Willy Sudiarto Raharjo2023-12-29 12:49:31 +0100
commitace7c1d61708fc7d77650e0e51fb9dc21d60ddaf (patch)
treefd6ff656c73ccb7733f292a07c0ea1669c2496b4 /multimedia/tsduck
parentea33185eef6ea0c512047c1c29b41b216509b2af (diff)
downloadslackbuilds-ace7c1d61708fc7d77650e0e51fb9dc21d60ddaf.tar.gz
multimedia/tsduck: Added (MPEG Transport Stream Toolkit).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia/tsduck')
-rw-r--r--multimedia/tsduck/README28
-rw-r--r--multimedia/tsduck/slack-desc19
-rw-r--r--multimedia/tsduck/tsduck.SlackBuild110
-rw-r--r--multimedia/tsduck/tsduck.info10
4 files changed, 167 insertions, 0 deletions
diff --git a/multimedia/tsduck/README b/multimedia/tsduck/README
new file mode 100644
index 0000000000..8fa326df9c
--- /dev/null
+++ b/multimedia/tsduck/README
@@ -0,0 +1,28 @@
+TSDuck is an extensible toolkit for MPEG transport streams.
+It is used in digital television systems
+for test, monitoring, integration, debug, lab, demo.
+
+In practice, TSDuck can be used for:
+- Transport stream acquisition or transmodulation, including
+ DVB, ATSC, ISDB, ASI and IP multicast.
+- Analyze transport streams, PSI/SI signalization, bitrates,
+ timestamps.
+- Monitor and report conditions on the stream (video and audio
+ properties, bitrates, crypto-periods, signalization).
+- On-the-fly transformation or injection of content and signalization.
+- Modify, remove, rename, extract services.
+- Work on live transport streams, DVB-S/C/T, ATSC, ISDB-S/T, ASI,
+ IP-TV, HTTP, HLS, SRT, RIST or offline transport stream files.
+- Receive from or send to specialized hardware such as:
+ · Cheap DVB, ATSC or ISDB tuners (USB, PCI).
+ · Professional Dektec devices, ASI, modulators (USB, PCI).
+ ·HiDes modulators (USB).
+ · VATek-based modulators (USB) such as the Suntechtv U3.
+- Re-route transport streams to other applications.
+- Extract or inject Multi-Protocol Encapsulation (MPE) between TS and
+ UDP/IP.
+- Analyze and inject SCTE 35 splice information.
+- Extract specific encapsulated data (Teletext, T2-MI).
+- Emulate a CAS head-end using DVB SimulCrypt interfaces to and from
+ ECMG or EMMG.
+- And more...
diff --git a/multimedia/tsduck/slack-desc b/multimedia/tsduck/slack-desc
new file mode 100644
index 0000000000..a5478535d8
--- /dev/null
+++ b/multimedia/tsduck/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tsduck: tsduck (The MPEG Transport Stream Toolkit)
+tsduck:
+tsduck: TSDuck is an extensible toolkit for MPEG transport streams.
+tsduck: It is used in digital television systems for test, monitoring,
+tsduck: integration, debug, lab, demo.
+tsduck:
+tsduck:
+tsduck:
+tsduck:
+tsduck: Homepage: https://tsduck.io/
+tsduck:
diff --git a/multimedia/tsduck/tsduck.SlackBuild b/multimedia/tsduck/tsduck.SlackBuild
new file mode 100644
index 0000000000..0fec4b666c
--- /dev/null
+++ b/multimedia/tsduck/tsduck.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for tsduck
+
+# Copyright 2023 Sacchetti Picchio Andrea Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=tsduck
+VERSION=${VERSION:-3.36.3528}
+SRCVERSION=${SRCVERSION:-3.36-3528}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$SRCVERSION
+unzip $CWD/$PRGNAM-$SRCVERSION.zip
+cd $PRGNAM-$SRCVERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make $NUMJOBS \
+ NOGITHUB=true \
+ NOTEST=true \
+ SYSPREFIX=/usr \
+ SYSROOT=$PKG \
+ install
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.a
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.txt doc/*.pdf \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/tsduck/tsduck.info b/multimedia/tsduck/tsduck.info
new file mode 100644
index 0000000000..276e47042e
--- /dev/null
+++ b/multimedia/tsduck/tsduck.info
@@ -0,0 +1,10 @@
+PRGNAM="tsduck"
+VERSION="3.36.3528"
+HOMEPAGE="https://tsduck.io/"
+DOWNLOAD="https://github.com/tsduck/tsduck/archive/v3.36-3528/tsduck-3.36-3528.zip"
+MD5SUM="35cc6b694ef73d2895e2b1901800b3e8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrea Sacchetti Picchio"
+EMAIL="andrea dot sacchettipicchio at gmail dot com"